Skip to main content
GET
/
v3
/
organisations
/
{organisation}
Read Organisation
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/organisations/{organisation}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/organisations/{organisation}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/organisations/{organisation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "name": "<string>",
    "handle": "<string>",
    "description": "<string>",
    "short_description": "<string>",
    "icon": "<string>",
    "image_url": "<string>",
    "notes": "<string>",
    "type": "<string>",
    "status": "<string>",
    "is_tenant": 123,
    "is_active": 123,
    "phone": "<string>",
    "email": "<string>",
    "secondary_phone": "<string>",
    "domain": "<string>",
    "authorised_domains": [
      "<unknown>"
    ],
    "meta": [
      "<unknown>"
    ],
    "locations": [
      {
        "id": 123,
        "type": "<string>",
        "name": "<string>",
        "handle": "<string>",
        "description": "<string>",
        "phone": "<string>",
        "email": "<string>",
        "timezone": "<string>",
        "external_id": "<string>",
        "external_code": "<string>",
        "is_published": true,
        "is_permanently_closed": true,
        "address": {
          "id": 123,
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "address_line_3": "<string>",
          "company": "<string>",
          "latitude": 123,
          "longitude": 123,
          "city": "<string>",
          "postcode": "<string>",
          "state": "<string>",
          "country": "<string>",
          "notes": "<string>",
          "external_id": "<string>",
          "is_default": true,
          "created_at": "<string>",
          "updated_at": "<string>",
          "meta": [
            "<unknown>"
          ],
          "name": "<string>",
          "type": "<string>",
          "phone": "<string>",
          "iso": "<string>",
          "iso_state": "<string>",
          "profile_id": "<string>",
          "custom_fields": {}
        },
        "normal_hours": [
          [
            "<unknown>"
          ]
        ],
        "special_hours": [
          [
            "<unknown>"
          ]
        ],
        "tags": [
          "<string>"
        ],
        "custom_fields": {},
        "icon": "<string>",
        "country_iso_3": "<string>",
        "image_url": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "departments": [
          {
            "id": 123,
            "name": "<string>",
            "handle": "<string>",
            "external_id": "<string>",
            "external_code": "<string>",
            "description": "<string>",
            "short_description": "<string>",
            "url": "<string>",
            "image_url": "<string>",
            "internal_note": "<string>",
            "meta": [
              "<unknown>"
            ],
            "brand_id": 123,
            "location_id": 123,
            "brand": {
              "name": "<string>",
              "handle": "<string>"
            },
            "created_at": "<string>",
            "updated_at": "<string>"
          }
        ]
      }
    ],
    "address": {
      "id": 123,
      "address_line_1": "<string>",
      "address_line_2": "<string>",
      "address_line_3": "<string>",
      "company": "<string>",
      "latitude": 123,
      "longitude": 123,
      "city": "<string>",
      "postcode": "<string>",
      "state": "<string>",
      "country": "<string>",
      "notes": "<string>",
      "external_id": "<string>",
      "is_default": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "meta": [
        "<unknown>"
      ],
      "name": "<string>",
      "type": "<string>",
      "phone": "<string>",
      "iso": "<string>",
      "iso_state": "<string>",
      "profile_id": "<string>",
      "custom_fields": {}
    },
    "custom_fields": {},
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

organisation
integer
required

The organisation ID

Response

Organisation

data
Organisation · object
required